For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tasks (or Assignments)

Tasks can be associated with nearly all Entity objects in the platform, but appear most often on OKRs, Meetings and IDPs.

Create task for entity

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
entitystringRequired
Body
namestringRequired
descriptionstringOptional
dueDatestring · dateOptional
orderintegerOptional
orderGroupstring · uuidOptional
Responses
201

Created

application/json
idstring · uuidRequired
namestringRequired
activebooleanRequired
organizationstring · uuidRequired
descriptionstringOptional
dueDatestring · dateOptional
orderintegerRequired
post/api/v1/entity/{entity}/task
POST /api/v1/entity/{entity}/task HTTP/1.1
Host: api.peoplelogic.dev
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 121

{
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01",
  "order": 1,
  "orderGroup": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "active": true,
  "status": {
    "current": "text",
    "changedAt": "2026-01-01T00:00:00.000Z",
    "changedBy": "123e4567-e89b-12d3-a456-426614174000"
  },
  "created": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000"
  },
  "assignees": [
    {
      "entityId": "123e4567-e89b-12d3-a456-426614174000",
      "entityType": "text"
    }
  ],
  "organization": "123e4567-e89b-12d3-a456-426614174000",
  "description": "text",
  "dueDate": "2026-01-01",
  "connectedTo": {
    "entityId": "123e4567-e89b-12d3-a456-426614174000",
    "type": "text",
    "organization": "123e4567-e89b-12d3-a456-426614174000"
  },
  "notes": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "note": "text",
      "author": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "order": 1,
  "mappings": [
    {
      "app": "123e4567-e89b-12d3-a456-426614174000",
      "namespace": "text",
      "mappedId": "text",
      "reference": "text",
      "mappingData": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "mappingSecrets": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  ]
}

Update task for entity

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
entitystringRequired
taskstringRequired
Body
namestringRequired
descriptionstringOptional
dueDatestring · dateOptional
orderintegerOptional
orderGroupstring · uuidOptional
Responses
200

OK

application/json
idstring · uuidRequired
namestringRequired
activebooleanRequired
organizationstring · uuidRequired
descriptionstringOptional
dueDatestring · dateOptional
orderintegerRequired
patch/api/v1/entity/{entity}/task/{task}
PATCH /api/v1/entity/{entity}/task/{task} HTTP/1.1
Host: api.peoplelogic.dev
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 121

{
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01",
  "order": 1,
  "orderGroup": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "active": true,
  "status": {
    "current": "text",
    "changedAt": "2026-01-01T00:00:00.000Z",
    "changedBy": "123e4567-e89b-12d3-a456-426614174000"
  },
  "created": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000"
  },
  "assignees": [
    {
      "entityId": "123e4567-e89b-12d3-a456-426614174000",
      "entityType": "text"
    }
  ],
  "organization": "123e4567-e89b-12d3-a456-426614174000",
  "description": "text",
  "dueDate": "2026-01-01",
  "connectedTo": {
    "entityId": "123e4567-e89b-12d3-a456-426614174000",
    "type": "text",
    "organization": "123e4567-e89b-12d3-a456-426614174000"
  },
  "notes": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "note": "text",
      "author": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "order": 1,
  "mappings": [
    {
      "app": "123e4567-e89b-12d3-a456-426614174000",
      "namespace": "text",
      "mappedId": "text",
      "reference": "text",
      "mappingData": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "mappingSecrets": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  ]
}

Get task

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
taskstringRequired
Responses
200

OK

application/json
idstring · uuidRequired
namestringRequired
activebooleanRequired
organizationstring · uuidRequired
descriptionstringOptional
dueDatestring · dateOptional
orderintegerRequired
get/api/v1/task/{task}
GET /api/v1/task/{task} HTTP/1.1
Host: api.peoplelogic.dev
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "active": true,
  "status": {
    "current": "text",
    "changedAt": "2026-01-01T00:00:00.000Z",
    "changedBy": "123e4567-e89b-12d3-a456-426614174000"
  },
  "created": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000"
  },
  "assignees": [
    {
      "entityId": "123e4567-e89b-12d3-a456-426614174000",
      "entityType": "text"
    }
  ],
  "organization": "123e4567-e89b-12d3-a456-426614174000",
  "description": "text",
  "dueDate": "2026-01-01",
  "connectedTo": {
    "entityId": "123e4567-e89b-12d3-a456-426614174000",
    "type": "text",
    "organization": "123e4567-e89b-12d3-a456-426614174000"
  },
  "notes": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "note": "text",
      "author": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "order": 1,
  "mappings": [
    {
      "app": "123e4567-e89b-12d3-a456-426614174000",
      "namespace": "text",
      "mappedId": "text",
      "reference": "text",
      "mappingData": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "mappingSecrets": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  ]
}

Last updated

Was this helpful?